From a0545549a7dfc550196c1a4a7d1fd35c1ffff03d Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefankangas@gmail.com>
Date: Mon, 1 Jul 2019 08:45:24 +0200
Subject: [PATCH] Improve some menus with separators and better wording

* lisp/help-mode.el (help-mode-menu): Improve wording, add menu
separators, fix a typo.
* lisp/image-dired.el (image-dired-thumbnail-mode-map)
(image-dired-minor-mode-map):
* lisp/info.el (Info-mode-menu):
* lisp/ses.el (ses-menu): Add menu separators.
* lisp/net/eww.el (eww-mode-map): Add menu separators, remove
duplicate entry.
---
 lisp/help-mode.el   | 12 +++++++-----
 lisp/image-dired.el | 16 +++++++---------
 lisp/info.el        |  5 +++++
 lisp/net/eww.el     |  5 ++++-
 lisp/ses.el         |  3 +++
 5 files changed, 26 insertions(+), 15 deletions(-)

diff --git a/lisp/help-mode.el b/lisp/help-mode.el
index dc2992cd4a..9b970182ed 100644
--- a/lisp/help-mode.el
+++ b/lisp/help-mode.el
@@ -53,15 +53,17 @@ help-mode-menu
   "Menu for Help Mode."
   '("Help-Mode"
     ["Show Help for Symbol" help-follow-symbol
-     :help "Show the docs for the symbol at point"]
+     :help "Show documentation for symbol at point"]
+    "---"
     ["Previous Topic" help-go-back
-     :help "Go back to previous topic in this help buffer"]
+     :help "Go back to previously visited topic"]
     ["Next Topic" help-go-forward
-     :help "Go back to next topic in this help buffer"]
+     :help "Go back to next visited topic"]
+    "---"
     ["Move to Previous Button" backward-button
-     :help "Move to the Next Button in the help buffer"]
+     :help "Move to the Previous Button in this help buffer"]
     ["Move to Next Button" forward-button
-      :help "Move to the Next Button in the help buffer"]))
+      :help "Move to the Next Button in this help buffer"]))
 
 (defvar help-xref-stack nil
   "A stack of ways by which to return to help buffers after following xrefs.
diff --git a/lisp/image-dired.el b/lisp/image-dired.el
index c9b31e9f1f..6d1436b2e9 100644
--- a/lisp/image-dired.el
+++ b/lisp/image-dired.el
@@ -1543,21 +1543,20 @@ image-dired-thumbnail-mode-map
         ["Refresh thumb" image-dired-refresh-thumb]
         ["Dynamic line up" image-dired-line-up-dynamic]
         ["Line up thumbnails" image-dired-line-up]
-
+        "---"
         ["Rotate thumbnail left" image-dired-rotate-thumbnail-left]
         ["Rotate thumbnail right" image-dired-rotate-thumbnail-right]
         ["Rotate original left" image-dired-rotate-original-left]
         ["Rotate original right" image-dired-rotate-original-right]
-
+        "---"
         ["Toggle movement tracking on/off" image-dired-toggle-movement-tracking]
-
         ["Jump to dired buffer" image-dired-jump-original-dired-buffer]
+        "---"
         ["Track original" image-dired-track-original-file]
-
         ["Flag original for deletion" image-dired-flag-thumb-original-file]
         ["Unmark original" image-dired-unmark-thumb-original-file]
         ["Mark original" image-dired-mark-thumb-original-file]
-
+        "---"
         ["Display in external viewer" image-dired-thumbnail-display-external]
         ["Display image" image-dired-display-thumbnail-original-image]))
     map)
@@ -1667,18 +1666,17 @@ image-dired-minor-mode-map
         ["Comment files" image-dired-dired-comment-files]
         ["Mark tagged files" image-dired-mark-tagged-files]
         ["Jump to thumbnail buffer" image-dired-jump-thumbnail-buffer]
-
+        "---"
         ["Toggle movement tracking" image-dired-toggle-movement-tracking]
         ["Toggle append browsing" image-dired-toggle-append-browsing]
         ["Toggle display properties" image-dired-toggle-dired-display-properties]
-
+        "---"
         ["Display in external viewer" image-dired-dired-display-external]
         ["Display image" image-dired-dired-display-image]
         ["Display this thumbnail" image-dired-display-thumb]
         ["Display thumbnails append" image-dired-display-thumbs-append]
-
+        "---"
         ["Create thumbnails for marked files" image-dired-create-thumbs]
-
         ["Mark and display next" image-dired-mark-and-display-next]
         ["Display thumb for previous file" image-dired-previous-line-and-display]
         ["Display thumb for next file" image-dired-next-line-and-display]))
diff --git a/lisp/info.el b/lisp/info.el
index 3203c5f171..8be6c92e5c 100644
--- a/lisp/info.el
+++ b/lisp/info.el
@@ -4092,8 +4092,10 @@ Info-check-pointer
     :help "Go to top node of file"]
    ["Final Node" Info-final-node
     :help "Go to final node in this file"]
+   "---"
    ("Menu Item" ["You should never see this" report-emacs-bug t])
    ("Reference" ["You should never see this" report-emacs-bug t])
+   "---"
    ["Search..." Info-search
     :help "Search for regular expression in this Info file"]
    ["Search Next" Info-search-next
@@ -4104,6 +4106,7 @@ Info-check-pointer
     :help "Go back in history to the last node you were at"]
    ["Forward in history" Info-history-forward :active Info-history-forward
     :help "Go forward in history"]
+   "---"
    ["History" Info-history :active Info-history-list
     :help "Go to menu of visited nodes"]
    ["Table of Contents" Info-toc
@@ -4117,10 +4120,12 @@ Info-check-pointer
      :help "Look for a string in the index items and display node with results"]
     ["Lookup a string in all indices..." info-apropos
      :help "Look for a string in the indices of all manuals"])
+   "---"
    ["Copy Node Name" Info-copy-current-node-name
     :help "Copy the name of the current node into the kill ring"]
    ["Clone Info buffer" clone-buffer
     :help "Create a twin copy of the current Info buffer."]
+   "---"
    ["Exit" Info-exit :help "Stop reading Info"]))
 
 
diff --git a/lisp/net/eww.el b/lisp/net/eww.el
index 206f9cfdf3..f8b2f8f844 100644
--- a/lisp/net/eww.el
+++ b/lisp/net/eww.el
@@ -804,24 +804,27 @@ eww-mode-map
 
     (easy-menu-define nil map ""
       '("Eww"
-	["Exit" quit-window t]
 	["Close browser" quit-window t]
+	"---"
 	["Reload" eww-reload t]
 	["Follow URL in new buffer" eww-open-in-new-buffer]
 	["Back to previous page" eww-back-url
 	 :active (not (zerop (length eww-history)))]
 	["Forward to next page" eww-forward-url
 	 :active (not (zerop eww-history-position))]
+	"---"
 	["Browse with external browser" eww-browse-with-external-browser t]
 	["Download" eww-download t]
 	["View page source" eww-view-source]
 	["Copy page URL" eww-copy-page-url t]
+	"---"
 	["List histories" eww-list-histories t]
 	["Switch to buffer" eww-switch-to-buffer t]
 	["List buffers" eww-list-buffers t]
 	["Add bookmark" eww-add-bookmark t]
 	["List bookmarks" eww-list-bookmarks t]
 	["List cookies" url-cookie-list t]
+	"---"
 	["Toggle fonts" eww-toggle-fonts t]
 	["Toggle colors" eww-toggle-colors t]
         ["Character Encoding" eww-set-character-encoding]
diff --git a/lisp/ses.el b/lisp/ses.el
index 7fdacc77c9..5c876f1463 100644
--- a/lisp/ses.el
+++ b/lisp/ses.el
@@ -157,13 +157,16 @@ ses-menu
     ["Delete row" ses-delete-row (ses-in-print-area)]
     ["Insert column" ses-insert-column (ses-in-print-area)]
     ["Delete column" ses-delete-column (ses-in-print-area)]
+    "---"
     ["Set column printer" ses-read-column-printer t]
     ["Set column width" ses-set-column-width t]
     ["Set default printer" ses-read-default-printer t]
     ["Jump to cell" ses-jump t]
     ["Set cell printer" ses-read-cell-printer t]
+    "---"
     ["Recalculate cell" ses-recalculate-cell t]
     ["Truncate cell display" ses-truncate-cell t]
+    "---"
     ["Export values" ses-export-tsv t]
     ["Export formulas" ses-export-tsf t]))
 
-- 
2.21.0

